Bug 763790 - (GLUSTER-2058) posix permission compliance error
posix permission compliance error
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Anand Avati
: GLUSTER-2046 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-11-04 21:20 EDT by Allen Lu
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Allen Lu 2010-11-04 21:20:52 EDT
A user file with following permission is not allowed to be copied to GlusterFS based directory with permission of 755.

Create a user file with permission of 400. cp the file to a directory created by the same user based on GlusterFS. Permission is denied. The same steps works fine on pure ext3.

 [root@cacfs01 ~]# ls -l /tmp/inst_doc.pdf
-r-------- 1 shl1 Domain Users 589462 Nov 4 15:04 /tmp/inst_doc.pdf

[root@cacfs01 ~]# ls -ld /export/glusterfs/shl1/
drwxr-xr-x 30 shl1 Domain Users 24576 Nov 4 15:04 /export/glusterfs/shl1/


As user shl1, when I try to copy /tmp/inst_doc into gluster volume:

-sh-3.2$ whoami
-sh-3.2$ pwd
-sh-3.2$ cp /tmp/inst_doc.pdf /export/glusterfs/shl1
cp: writing `/export/glusterfs/shl1/inst_doc.pdf': Permission denied
cp: closing `/export/glusterfs/shl1/inst_doc.pdf': Permission denied
-sh-3.2$ ls -l
total 0
-r-------- 1 shl1 Domain Users 0 Nov 4 15:08 inst_doc.pdf
Comment 1 Anand Avati 2010-11-08 02:08:35 EST
PATCH: http://patches.gluster.com/patch/5643 in master (access-control: Allow Writes/Reads to proceed without perm checks)
Comment 2 Shehjar Tikoo 2010-11-09 04:05:35 EST
Fixed. Problem was in access-control, not in distribute.
Comment 3 Raghavendra G 2010-12-12 19:25:17 EST
*** Bug 2046 has been marked as a duplicate of this bug. ***
Comment 4 Amar Tumballi 2011-03-22 03:01:50 EDT
Access control issues are already documented.. and the enhancements are internal.

Note You need to log in before you can comment on or make changes to this bug.